package com.philisense.rdgo.db;

import io.realm.RealmChangeListener;

/**
 * Created by shaop on 2017/12/13.
 */

public interface RealmDataBinding {
    interface Factory {
        RealmChangeListener create();
    }

    RealmDataBinding.Factory FACTORY = () -> element -> {
        if(element instanceof RealmDataBinding) {
            ((RealmDataBinding)element).notifyChange();
        }
    };

    void notifyChange();
}